"use strict";

exports.__esModule = true;
exports.default = undefined;

var _class, _temp2;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _context = require("../context");

var _context2 = _interopRequireDefault(_context);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Brand = (_temp2 = _class = function (_React$Component) {
  _inherits(Brand, _React$Component);

  function Brand() {
    var _temp, _this, _ret;

    _classCallCheck(this, Brand);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.render = function () {
      if (!_this.context.map.brand) return null;
      var _this$context$map$bra = _this.context.map.brand,
          logo = _this$context$map$bra.logo,
          name = _this$context$map$bra.name;


      return _react2.default.createElement(
        "div",
        { className: "rd-navbar-brand",
          onClick: function onClick() {
            return _this.props.moveTo("/");
          } },
        _react2.default.createElement("img", { className: "brand", src: logo, alt: "" }),
        _react2.default.createElement(
          "span",
          { className: "brand-name" },
          name
        )
      );
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  return Brand;
}(_react2.default.Component), _class.contextType = _context2.default, _temp2);
exports.default = Brand;
module.exports = exports["default"];