"use strict";

exports.__esModule = true;

var _class, _temp2;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _context = require("../context");

var _context2 = _interopRequireDefault(_context);

var _CartToggle = require("./CartToggle");

var _CartToggle2 = _interopRequireDefault(_CartToggle);

var _CartItem = require("./CartItem");

var _CartItem2 = _interopRequireDefault(_CartItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RDCartProvider = (_temp2 = _class = function (_React$Component) {
  _inherits(RDCartProvider, _React$Component);

  function RDCartProvider() {
    var _temp, _this, _ret;

    _classCallCheck(this, RDCartProvider);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.render = function () {
      var content = _this.context.cart.content;

      if (!content || content.length < 1) return null;

      return _react2.default.createElement(
        "div",
        { className: "rd-navbar-cart-wrap" },
        _react2.default.createElement(_CartToggle2.default, null),
        _react2.default.createElement(
          "div",
          { className: "rd-navbar-cart" },
          _react2.default.createElement(
            "ul",
            { className: "rd-navbar-cart-items" },
            content.map(function (item) {
              return _react2.default.createElement(_CartItem2.default, { key: item.idx, item: item });
            })
          ),
          _react2.default.createElement(
            "span",
            { className: "rd-navbar-cart-buy material-icons-card_membership" },
            "\u0421\u0434\u0435\u043B\u0430\u0442\u044C \u0437\u0430\u043A\u0430\u0437"
          )
        )
      );
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  return RDCartProvider;
}(_react2.default.Component), _class.contextType = _context2.default, _temp2);
exports.default = RDCartProvider;
module.exports = exports["default"];