'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./styles/rd-styles.css');

require('./styles/rd-navbar.css');

var _jquery = require('./js/jquery.rd-navbar');

var _jquery2 = _interopRequireDefault(_jquery);

var _RDNavbarProvider = require('./components/RDNavbarProvider');

var _RDNavbarProvider2 = _interopRequireDefault(_RDNavbarProvider);

var _RDCartProvider = require('./components/RDCartProvider');

var _RDCartProvider2 = _interopRequireDefault(_RDCartProvider);

var _context = require('./context');

var _context2 = _interopRequireDefault(_context);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var NavigationProvider = function (_React$Component) {
  _inherits(NavigationProvider, _React$Component);

  function NavigationProvider() {
    var _temp, _this, _ret;

    _classCallCheck(this, NavigationProvider);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.componentDidMount = function () {
      return _jquery2.default.init(_this.props.options);
    }, _this.render = function () {
      var _this$props = _this.props,
          map = _this$props.map,
          cart = _this$props.cart,
          children = _this$props.children;


      return _react2.default.createElement(
        _context2.default.Provider,
        { value: { map: map, cart: cart } },
        _react2.default.createElement(
          _RDNavbarProvider2.default,
          null,
          _react2.default.createElement(_RDCartProvider2.default, null)
        ),
        children
      );
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  return NavigationProvider;
}(_react2.default.Component);

exports.default = NavigationProvider;
module.exports = exports['default'];