var _class, _temp2;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import RDContext from "../context";

var CartItem = (_temp2 = _class = function (_React$Component) {
  _inherits(CartItem, _React$Component);

  function CartItem() {
    var _temp, _this, _ret;

    _classCallCheck(this, CartItem);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.render = function () {
      var _this$context$cart = _this.context.cart,
          onDelete = _this$context$cart.onDelete,
          renderItem = _this$context$cart.renderItem;
      var item = _this.props.item;


      return React.createElement(
        "li",
        null,
        React.createElement(
          "div",
          { className: "rd-navbar-cart-item" },
          React.createElement(
            "div",
            { className: "rd-navbar-cart-item__left" },
            renderItem(item)
          ),
          React.createElement(
            "div",
            { className: "rd-navbar-cart-item__body" },
            React.createElement(
              "div",
              { className: "rd-navbar-cart-item__title" },
              item.price,
              " \u20B8"
            )
          ),
          React.createElement("span", { onClick: function onClick() {
              return onDelete(item.idx);
            },
            className: "rd-navbar-cart-item__remove material-icons-delete" })
        )
      );
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  return CartItem;
}(React.Component), _class.contextType = RDContext, _temp2);
export { CartItem as default };