function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import './styles/rd-styles.css';
import './styles/rd-navbar.css';

import RDNavBar from './js/jquery.rd-navbar';
import RDNavbarProvider from './components/RDNavbarProvider';
import RDCartProvider from './components/RDCartProvider';
import RDContext from "./context";

var NavigationProvider = function (_React$Component) {
  _inherits(NavigationProvider, _React$Component);

  function NavigationProvider() {
    var _temp, _this, _ret;

    _classCallCheck(this, NavigationProvider);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.componentDidMount = function () {
      return RDNavBar.init(_this.props.options);
    }, _this.render = function () {
      var _this$props = _this.props,
          map = _this$props.map,
          cart = _this$props.cart,
          children = _this$props.children;


      return React.createElement(
        RDContext.Provider,
        { value: { map: map, cart: cart } },
        React.createElement(
          RDNavbarProvider,
          null,
          React.createElement(RDCartProvider, null)
        ),
        children
      );
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  return NavigationProvider;
}(React.Component);

export default NavigationProvider;