'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require('react-router-dom');

var _AppNavMenu = require('./AppNavMenu');

var _AppNavMenu2 = _interopRequireDefault(_AppNavMenu);

var _AppNavToggle = require('./AppNavToggle');

var _AppNavToggle2 = _interopRequireDefault(_AppNavToggle);

var _UserNavMenu = require('./UserNavMenu');

var _UserNavMenu2 = _interopRequireDefault(_UserNavMenu);

var _UserNavToggle = require('./UserNavToggle');

var _UserNavToggle2 = _interopRequireDefault(_UserNavToggle);

var _Search = require('./Search');

var _Search2 = _interopRequireDefault(_Search);

var _Brand = require('./Brand');

var _Brand2 = _interopRequireDefault(_Brand);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RDNavbarProvider = function (_React$Component) {
  _inherits(RDNavbarProvider, _React$Component);

  function RDNavbarProvider(props) {
    _classCallCheck(this, RDNavbarProvider);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.render = function () {

      return _react2.default.createElement(
        'div',
        { className: 'rd-navbar-wrap' },
        _react2.default.createElement(
          'nav',
          { className: 'rd-navbar', 'data-rd-navbar-lg': 'rd-navbar-static' },
          _react2.default.createElement(
            'div',
            { className: 'rd-navbar-inner' },
            _react2.default.createElement(
              'div',
              { className: 'rd-navbar-panel' },
              _react2.default.createElement('div', { className: 'rd-navbar-panel-canvas' }),
              _this.props.children,
              _react2.default.createElement(_Brand2.default, { moveTo: _this.redirect }),
              _react2.default.createElement(_AppNavToggle2.default, null),
              _react2.default.createElement(_UserNavToggle2.default, null),
              _react2.default.createElement(_UserNavMenu2.default, { moveTo: _this.redirect })
            )
          ),
          _react2.default.createElement(
            'div',
            { className: 'rd-navbar-outer' },
            _react2.default.createElement(
              'div',
              { className: 'rd-navbar-inner' },
              _react2.default.createElement(
                'div',
                { className: 'rd-navbar-subpanel' },
                _react2.default.createElement(_AppNavMenu2.default, { moveTo: _this.redirect }),
                _react2.default.createElement(_Search2.default, { moveTo: _this.redirect })
              )
            )
          )
        )
      );
    };

    _this.redirect = function (path) {
      return _this.props.history.push(path);
    };

    _this.redirect = _this.redirect.bind(_this);
    return _this;
  }

  return RDNavbarProvider;
}(_react2.default.Component);

exports.default = (0, _reactRouterDom.withRouter)(RDNavbarProvider);
module.exports = exports['default'];